Loading...
Searching...
No Matches
exception.h File Reference
`#include <BALL/CONFIG/config.h>`
`#include <BALL/COMMON/global.h>`
`#include <new>`
`#include <string>`

Go to the source code of this file.

## Classes

class | BALL::Exception::GeneralException
class | BALL::Exception::IndexUnderflow
class | BALL::Exception::SizeUnderflow
class | BALL::Exception::IndexOverflow
class | BALL::Exception::InvalidArgument
class | BALL::Exception::InvalidRange
class | BALL::Exception::InvalidSize
class | BALL::Exception::OutOfRange
class | BALL::Exception::InvalidFormat
class | BALL::Exception::IllegalSelfOperation
class | BALL::Exception::NullPointer
class | BALL::Exception::InvalidIterator
class | BALL::Exception::IncompatibleIterators
class | BALL::Exception::NotImplemented
class | BALL::Exception::IllegalTreeOperation
class | BALL::Exception::OutOfMemory
class | BALL::Exception::BufferOverflow
class | BALL::Exception::DivisionByZero
class | BALL::Exception::OutOfGrid
class | BALL::Exception::FileNotFound
class | BALL::Exception::IllegalPosition
class | BALL::Exception::ParseError
class | BALL::Exception::Precondition
class | BALL::Exception::Postcondition
class | BALL::Exception::InvalidOption
| Exception to be thrown if an invalid option is given. More...
class | BALL::Exception::TooManyErrors
| Exception to be thrown if too many errors occur, e.g. in ForceField. More...
class | BALL::Exception::TooManyBonds
| Exception to be thrown if too many bonds for one atom. More...
class | BALL::Exception::CUDAError
class | BALL::Exception::NoBufferAvailable
class | BALL::Exception::FormatUnsupported
class | BALL::Exception::NotInitialized
class | BALL::Exception::GlobalExceptionHandler

## Namespaces

namespace | BALL
namespace | BALL::Exception

## Functions

BALL_EXPORT std::ostream & | BALL::operator<< (std::ostream &os, const Exception::GeneralException &e)

## Variables

BALL_EXPORT GlobalExceptionHandler | BALL::Exception::globalHandler